﻿// guids.h: definitions of GUIDs/IIDs/CLSIDs used in this VsPackage

/*
Do not use #pragma once, as this file needs to be included twice.  Once to declare the externs
for the GUIDs, and again right after including initguid.h to actually define the GUIDs.
*/


// guidPersistanceSlot ID for the Tool Window
// { 221c6d55-41a6-4703-889d-eea25bf90b3a }
#define guidXPathmaniaPersistenceSlot { 0x221C6D55, 0x41A6, 0x4703, { 0x88, 0x9D, 0xEE, 0xA2, 0x5B, 0xF9, 0xB, 0x3A } }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_guidPersistanceSlot, 
0x221C6D55, 0x41A6, 0x4703, 0x88, 0x9D, 0xEE, 0xA2, 0x5B, 0xF9, 0xB, 0x3A );
#endif


// package guid
// { 2a15f173-7e1d-4072-b7e0-3d16a7573c2d }
#define guidXPathmaniaPkg { 0x2A15F173, 0x7E1D, 0x4072, { 0xB7, 0xE0, 0x3D, 0x16, 0xA7, 0x57, 0x3C, 0x2D } }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_XPathmania,
0x2A15F173, 0x7E1D, 0x4072, 0xB7, 0xE0, 0x3D, 0x16, 0xA7, 0x57, 0x3C, 0x2D );
#endif

// Command set guid for our commands (used with IOleCommandTarget)
// { 89e7675d-ca86-4cd5-a5ca-a9b5864e5c2a }
#define guidXPathmaniaCmdSet { 0x89E7675D, 0xCA86, 0x4CD5, { 0xA5, 0xCA, 0xA9, 0xB5, 0x86, 0x4E, 0x5C, 0x2A } }
#ifdef DEFINE_GUID
DEFINE_GUID(CLSID_XPathmaniaCmdSet, 
0x89E7675D, 0xCA86, 0x4CD5, 0xA5, 0xCA, 0xA9, 0xB5, 0x86, 0x4E, 0x5C, 0x2A );
#endif


